If your version of MySQL and WebMatrix are incompatible…

If you’re trying to install and publish a WordPress Blog with WebMatrix via these instructions: http://www.microsoft.com/web/post/installing-and-publishing-a-wordpress-blog-with-webmatrix (or a Joomla! website), you will need to download MySQL from here: http://www.mysql.com/downloads/ if you don’t already have it.

Webmatrix uses MySQL because it is a free, open-source, widely available database server.

If you download the most recent version or one other than MySQL Server 5.1, you may get this error:

webmatrix mysql error

Here’s a temporary fix:

Navigate to your MySQL folder.  In the above case, it’s C:\Program Files\MySQL\MySQL Server 5.x (The most recent and default download version available on the date of this posting is MySQL Server 5.5)

Rename the MySQL Server 5.x to “MySQL Server 5.1”


WebMatrix makes it easy to create, customize, and publish your website.  You can download it here: http://bit.ly/MSwebmatrix

Comments (2)

  1. Ian says:

    I tried the above, I renamed the directory (folder) MySQL Server 5.5 to MySQL Server 5.1. I assumed you meant the folder,  please tell me if I'm incorrect. It did not seem to make a difference, WebMatrix still wants to download and install 5.1 when I select a wordpress site from the gallery.

  2. mehrmagazin says:


    thanks for this useful article

    I need to upgrade mysql in webmatrix to use phpmyadmin

    mostly I need to know about how Export & Import Databases in webmatrix for wordpress

    so I can't find any option in webmatrix to do it

    so I forced to work on phpmyadmin

    I copy & paste phpmyadmin folder in to my project directory and run http://localhost:port/phpmyadmin but It can't login because of mysql version is 5.1 now

    I download it and do it as you write it here

    but it wasn't effective

    do you know any way about how export & import database in webmatrix

    help me


    Regards :